PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerBinaryAddMPIIOOffset

Adds to the current global offset

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryAddMPIIOOffset(PetscViewer viewer,MPI_Offset off)

Logically Collective

### Input Parameters

| viewer | - PetscViewer context, obtained from PetscViewerBinaryOpen()
| off | - the addition to the global offset

### Fortran Note

This routine is not supported in Fortran.

Use PetscViewerBinaryGetMPIIOOffset() to get the value that you should pass to MPI_File_set_view() or MPI_File_{write|read}_at[_all]()

### See Also

PetscViewerBinaryOpen(),PetscViewerBinaryGetInfoPointer(), PetscViewerBinaryGetUseMPIIO(), PetscViewerBinarySetUseMPIIO(), PetscViewerBinaryGetMPIIOOffset()

### Level

advanced

### Location

src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages